import java.util.*;

public class RemovalValidator 
{
	public static void main(String[] args) throws Exception
	{
		Scanner scan = new Scanner(System.in);

		int caseCount = 0;		

		int n = scan.nextInt();
		while (n != 0)
		{
			caseCount++;

			if (n < 2 || n > 100)
			{
				throw new Exception("Illegal number of numbers");
			}
			
			for (int i = 0; i < n; i++)
			{
				int val = scan.nextInt();
				if (val < 1 || val > 1000)
				{
					throw new Exception("Illegal value");
				}
			}
			
			n = scan.nextInt();
		}

		if (caseCount == 0 || caseCount > 1000)
		{
			throw new Exception("Bad number of cases");
		}
		
		scan.close();
System.exit(42);
	}
}
